Subject: bug#45318: 28.0.50; mark-paragraph

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 07 Jan 2021 13:11:32 +0100

"H. Dieter Wilhelm" <[email-masked]> writes:

> Right, below is my suggestion, please have a look.
>
> Many thanks
>
>       Dieter
>
> PS: Please tell me if I can prepare patches in a better way or
>     format..

The patch format looks good.  :-)

However, this still doesn't quite restore how mark-paragraph works in
Emacs 27 -- it leaves point in other places than it was.

So I've reverted the previous change for now, and I've added a test.
Could you have a look at the test

cd check; make paragraphs-tests

(it's the last one), and redo your original patch in a way that doesn't
break the behaviour as demonstrated by this test?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no